Bug 830452 - [abrt] gxneur-0.15.0-4.fc17: setsockopt@plt: Process /usr/bin/gxneur was killed by signal 11 (SIGSEGV)
[abrt] gxneur-0.15.0-4.fc17: setsockopt@plt: Process /usr/bin/gxneur was kill...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gxneur (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:27d971cafabc62262ef1af83c1d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 15:07 EDT by Max
Modified: 2013-01-01 23:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-27 00:08:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (10.29 KB, text/plain)
2012-06-09 15:07 EDT, Max
no flags Details
File: smolt_data (2.55 KB, text/plain)
2012-06-09 15:07 EDT, Max
no flags Details
File: maps (18.98 KB, text/plain)
2012-06-09 15:07 EDT, Max
no flags Details
File: dso_list (6.72 KB, text/plain)
2012-06-09 15:07 EDT, Max
no flags Details

  None (edit)
Description Max 2012-06-09 15:07:23 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        gxneur
crash_function: setsockopt@plt
executable:     /usr/bin/gxneur
kernel:         3.3.7-1.fc17.i686
pid:            1175
pwd:            /home/max
time:           Чт. 07 июня 2012 22:07:52
uid:            1000
username:       max
xsession_errors: (gxneur:1178): Gdk-CRITICAL **: IA__gdk_window_thaw_toplevel_updates_libgtk_only: assertion `private->update_and_descendants_freeze_count > 0' failed

backtrace:      Text file, 10542 bytes
dso_list:       Text file, 6886 bytes
maps:           Text file, 19437 bytes
smolt_data:     Binary file, 2608 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/max/2

core_backtrace:
:- 0x0 - - -
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef 0x7a16 setsockopt@plt libxcb.so.1 -
:- 0x0 - - -
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef 0xa3fa - libxcb.so.1 -
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef 0xa804 - libxcb.so.1 -
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef 0x85b3 - libxcb.so.1 -
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef 0x9f16 - libxcb.so.1 -
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef 0xa1c5 xcb_wait_for_reply libxcb.so.1 -
:030b5d1726ecd29df95bdeeff0b2d62043833fee 0x3afe2 _XReply libX11.so.6 -
:030b5d1726ecd29df95bdeeff0b2d62043833fee 0x8b05f XkbGetState libX11.so.6 -
:38a05a6f5c3d650d7a32d3f69a55771d90ea3374 0x13f80 - [exe] -
:38a05a6f5c3d650d7a32d3f69a55771d90ea3374 0x131d9 clock_check [exe] -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47ce0 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:f1c305c893872fa4a0e7d77f388f2833974a5433 0x14cc60 gtk_main libgtk-x11-2.0.so.0 -
:38a05a6f5c3d650d7a32d3f69a55771d90ea3374 0x5a88 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=maxus.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/max/keyring-0A7a3g
:QT_GRAPHICSSYSTEM_CHECKED=1
:'IMSETTINGS_MODULE=X compose table'
:USER=max
:USERNAME=max
:MAIL=/var/spool/mail/max
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/max/.local/bin:/home/max/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/max
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=926
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/max
:SHLVL=1
:LOGNAME=max
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-FvNZ3CwAFx,guid=48dbfff30cf2bf6efdff390c00000059
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/max
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-max-GacUZT/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/928,unix/unix:/tmp/.ICE-unix/928
:SSH_AUTH_SOCK=/run/user/max/keyring-0A7a3g/ssh
:GPG_AGENT_INFO=/run/user/max/keyring-0A7a3g/gpg:0:1
:DESKTOP_AUTOSTART_ID=1059b5dace3a01f265133907980984424000000009280002

gconf_subtree:
: keyboard_properties = /usr/bin/gnome-keyboard-properties
: delay = 0
: show_in_the_tray = Flag
: rendering_engine = StatusIcon

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 16011                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       16011                16011                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/max/.xsession-errors
:pos:	301066
:flags:	02002
:2:/home/max/.xsession-errors
:pos:	301066
:flags:	02002
:3:socket:[20302]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[20317]
:pos:	0
:flags:	02004002
:6:socket:[20420]
:pos:	0
:flags:	02004002
:7:socket:[20451]
:pos:	0
:flags:	02004002

var_log_messages:
:Jun  7 22:07:52 maxus kernel: [12752.723392] gxneur[1175]: segfault at 0 ip   (null) sp bfdace84 error 4 in libcanberra-gtk.so.0.1.8[1ff000+4000]
:Jun  7 22:07:52 maxus abrt[2883]: Saved core dump of pid 1175 (/usr/bin/gxneur) to /var/spool/abrt/ccpp-2012-06-07-22:07:52-1175 (3801088 bytes)
Comment 1 Max 2012-06-09 15:07:27 EDT
Created attachment 590644 [details]
File: backtrace
Comment 2 Max 2012-06-09 15:07:29 EDT
Created attachment 590645 [details]
File: smolt_data
Comment 3 Max 2012-06-09 15:07:31 EDT
Created attachment 590646 [details]
File: maps
Comment 4 Max 2012-06-09 15:07:33 EDT
Created attachment 590647 [details]
File: dso_list
Comment 5 Pavel Alexeev 2012-06-12 11:23:25 EDT
How it may be reproduced?
Comment 6 Fedora Update System 2012-11-17 14:20:50 EST
gxneur-0.16.0-1.fc17,xneur-0.16.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gxneur-0.16.0-1.fc17,xneur-0.16.0-1.fc17
Comment 7 Fedora Update System 2012-11-17 14:21:25 EST
gxneur-0.16.0-1.fc18,xneur-0.16.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gxneur-0.16.0-1.fc18,xneur-0.16.0-1.fc18
Comment 8 Fedora Update System 2012-11-17 14:21:57 EST
gxneur-0.16.0-1.fc16,xneur-0.16.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gxneur-0.16.0-1.fc16,xneur-0.16.0-1.fc16
Comment 9 Fedora Update System 2012-11-18 15:15:40 EST
Package gxneur-0.16.0-1.fc18, xneur-0.16.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gxneur-0.16.0-1.fc18 xneur-0.16.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18441/gxneur-0.16.0-1.fc18,xneur-0.16.0-1.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-11-27 00:08:20 EST
gxneur-0.16.0-1.fc18, xneur-0.16.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-01-01 23:55:33 EST
gxneur-0.16.0-1.fc17, xneur-0.16.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-01-01 23:56:20 EST
gxneur-0.16.0-1.fc16, xneur-0.16.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.